Bug 216414 - Xen on Dell GX270 results in hangup
Xen on Dell GX270 results in hangup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
7
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-20 05:45 EST by Jeroen Janssen
Modified: 2008-06-16 21:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:15:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file with empty xorg.conf (52.15 KB, application/octet-stream)
2007-01-15 08:46 EST, Jeroen Janssen
no flags Details
Xorg log file with empty xorg.conf, after switching terminals (56.44 KB, application/octet-stream)
2007-01-15 08:54 EST, Jeroen Janssen
no flags Details
X log (36.11 KB, text/x-java)
2007-09-26 11:52 EDT, Jakub Hrozek
no flags Details

  None (edit)
Description Jeroen Janssen 2006-11-20 05:45:22 EST
Description of problem:

Booting Fedora Core 6 Xen on a Dell GX270 results in a hangup when switching to
gfx display.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install Fedore Core 6 on GX270
2. Install Xen
3. Boot Fedora Core 6 Xen kernel
  
Actual results:

1. as soon as rhgb is started, the system freezes (black screen, cannot ssh into
machine)

2. when removing "rhgb quiet" from kernel boot options, system boots fine UNTIL
xorg is started, then the system freezes again (black screen, cannot ssh into
machine)

Expected results:

Correctly booted system

Additional info:

Dell GX270 has an i915 gfx chipset which seems to have problems with xen 3?
Comment 1 Jeroen Janssen 2006-11-21 08:27:06 EST
Hi,

I just updated to the latest xorg-x11-server and xorg-x11-drv-i810 (from 20 Nov
2006).

Now, I can boot Xen without any 'hangup' problems.

However, the xorg screen seems to be 'fixed' to a resolution of 640x480x16.

The 'normal' resolution for this system is/was 1600x1200.
Comment 2 Matěj Cepl 2006-12-29 08:57:28 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Jeroen Janssen 2006-12-29 14:10:52 EST
Hi,

I don't have access to this specific machine (at work) at least until the 2nd
week of Januari 2007 (since I am in the process of moving homes). I will post
the needed info as soon as I get back to work again. Sorry for the inconvenience.
Comment 4 Matěj Cepl 2007-01-02 09:35:43 EST
Please, keep, the NEEDINFO status on until the real information is provided.
Comment 5 Jeroen Janssen 2007-01-15 08:46:00 EST
Created attachment 145574 [details]
Xorg log file with empty xorg.conf

This is without a xorg.conf file, fresh boot, the FC6 login screen (gdm?) is
shown in 800x600.
After login, I can see only 800x600 and 640x480 in the "Screen Resolution
Preferences" screen (System/Preferences/Screen Resolution menu item).
Comment 6 Jeroen Janssen 2007-01-15 08:54:39 EST
Created attachment 145575 [details]
Xorg log file with empty xorg.conf, after switching terminals

After creating the previous logfile, I switched terminals and observed the
following when diffing these logfiles:

On a fresh boot, it seems "VESA VBE DDC Level none" results in failed DCC.

After switching terminals, "VESA VBE DDC Level 2" results in successfull DCC.

As a result of the successfull DCC, I get a login screen in 1600x1200 and a
selection list of 640x480, 800x600, 1024x768, 1278x1024, 1600x1200 for
resolutions in the "Screen Resolution Preferences".

So apparently, I get a consistend failed DCC readout on a fresh boot, which I
can "solve" by switching terminals back/forth between xorg/txt/xorg.

Hope this helps pinpointing the problem
Comment 7 Stephen Tweedie 2007-01-15 11:01:06 EST
This could be one of two things: are you running a 32-bit or 64-bit environment?
Comment 8 Jeroen Janssen 2007-01-15 11:30:13 EST
This is a Dell Optiplex GX270 (
http://support.dell.com/support/edocs/systems/opgx270/en/ug/specs.htm ) with a 
"Intel(R) Pentium(R) 4 CPU 3.00GHz" processor, so I think it must be a 32-bit
environment.
Comment 9 Jakub Hrozek 2007-09-26 11:52:54 EDT
Created attachment 207251 [details]
X log
Comment 10 Jakub Hrozek 2007-09-26 11:54:18 EDT
Something similar happens on my R61..in my case the computer does not hang 
altogether, but rather X fails to start. With non-Xen kernel, everything goes 
fine. 

I've attached the X log in the above comment.
Comment 11 Matěj Cepl 2007-12-10 04:24:35 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 12 Jakub Hrozek 2007-12-10 08:30:17 EST
Yes, this happens also with F7, I haven't tried with F8 or rawhide, but might 
be worth a try..I'll respond to this bug later

At any rate, setting back to assigned and bumping the version to 7.
Comment 13 Bug Zapper 2008-05-14 08:05:12 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2008-06-16 21:15:07 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.